/*
 *
 * Copyright (C) 2013 Kerio Technologies s.r.o
 *
 * This file is part of libdkim++.
 *
 * libdkim++ is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libdkim++ is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libdkim++.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "ISignatoryOptions.hpp"

#include "SignatoryOptions.hpp"

namespace DKIM
{
	ISignatoryOptions* ISignatoryOptions::create() {
		return new SignatoryOptions();
	}

	void ISignatoryOptions::destroy(ISignatoryOptions* options) {
		delete options;
	}
};
